---
title: DOMRectReadOnly
slug: Web/API/DOMRectReadOnly
tags:
  - API
  - DOM Reference
  - DOMRectReadOnly
  - Geometry
  - Geometry Interfaces
  - Interface
  - Read-only
  - Rectangle
  - Reference
---
<p>{{APIRef("Geometry Interfaces")}}</p>

<p>The <strong><code>DOMRectReadOnly</code></strong> interface specifies the standard properties used by {{domxref("DOMRect")}} to define a rectangle whose properties are immutable.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("DOMRectReadOnly.DOMRectReadOnly","DOMRectReadOnly()")}}</dt>
 <dd>Defined to create a new <code>DOMRectReadOnly</code> object. Note that this constructor cannot be called by 3rd party JavaScript; doing so returns an <code>"Illegal constructor"</code> {{jsxref('TypeError')}}.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("DOMRectReadOnly.x")}} {{readonlyInline}}</dt>
 <dd>The x coordinate of the <code>DOMRect</code>'s origin.</dd>
 <dt>{{domxref("DOMRectReadOnly.y")}} {{readonlyInline}}</dt>
 <dd>The y coordinate of the <code>DOMRect</code>'s origin.</dd>
 <dt>{{domxref("DOMRectReadOnly.width")}} {{readonlyInline}}</dt>
 <dd>The width of the <code>DOMRect</code>.</dd>
 <dt>{{domxref("DOMRectReadOnly.height")}} {{readonlyInline}}</dt>
 <dd>The height of the <code>DOMRect</code>.</dd>
 <dt>{{domxref("DOMRectReadOnly.top")}} {{readonlyInline}}</dt>
 <dd>Returns the top coordinate value of the <code>DOMRect</code> (usually the same as <code>y</code>.)</dd>
 <dt>{{domxref("DOMRectReadOnly.right")}} {{readonlyInline}}</dt>
 <dd>Returns the right coordinate value of the <code>DOMRect</code> (usually the same as <code>x + width</code>).</dd>
 <dt>{{domxref("DOMRectReadOnly.bottom")}} {{readonlyInline}}</dt>
 <dd>Returns the bottom coordinate value of the <code>DOMRect</code> (usually the same as <code>y + height</code>).</dd>
 <dt>{{domxref("DOMRectReadOnly.left")}} {{readonlyInline}}</dt>
 <dd>Returns the left coordinate value of the <code>DOMRect</code> (usually the same as <code>x</code>).</dd>
</dl>

<h2 id="Static_methods">Static methods</h2>

<dl>
 <dt>{{domxref("DOMRectReadOnly.fromRect()")}}</dt>
 <dd>Creates a new <code>DOMRect</code> object with a given location and dimensions.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Geometry Interfaces', '#DOMRect', 'DOMRectReadOnly')}}</td>
   <td>{{Spec2('Geometry Interfaces')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.DOMRectReadOnly")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("DOMPoint")}}</li>
</ul>
